Package net.snowflake.client.jdbc.cloud.storage

## Class AwsSdkGCPSigner

- java.lang.Object
- - com.amazonaws.auth.AbstractAWSSigner
  - - com.amazonaws.auth.AWS4Signer
    - - net.snowflake.client.jdbc.cloud.storage.AwsSdkGCPSigner

All Implemented Interfaces:
  `com.amazonaws.auth.EndpointPrefixAwareSigner`, `com.amazonaws.auth.Presigner`, `com.amazonaws.auth.RegionAwareSigner`, `com.amazonaws.auth.RegionFromEndpointResolverAwareSigner`, `com.amazonaws.auth.ServiceAwareSigner`, `com.amazonaws.auth.Signer`

    @SnowflakeJdbcInternalApi
    public class AwsSdkGCPSigner
    extends com.amazonaws.auth.AWS4Signer

### Field Summary

### Fields inherited from class com.amazonaws.auth.AWS4Signer

`doubleUrlEncode, log, overriddenDate, regionName, serviceName`

### Fields inherited from class com.amazonaws.auth.AbstractAWSSigner

`EMPTY_STRING_SHA256_HEX`

### Constructor Summary

Constructors
`AwsSdkGCPSigner()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `sign​(com.amazonaws.SignableRequest<?> request, com.amazonaws.auth.AWSCredentials credentials)`

### Methods inherited from class com.amazonaws.auth.AWS4Signer

`addHostHeader, addSessionCredentials, calculateContentHash, calculateContentHashPresign, computeSignature, createCanonicalRequest, createStringToSign, getCanonicalizedHeaderString, getOverriddenDate, getRegionName, getServiceName, getSignedHeadersString, newSigningKey, presignRequest, processRequestPayload, setEndpointPrefix, setOverrideDate, setRegionFromEndpointResolver, setRegionName, setServiceName, shouldExcludeHeaderFromSigning`

### Methods inherited from class com.amazonaws.auth.AbstractAWSSigner

`getBinaryRequestPayload, getBinaryRequestPayloadStream, getBinaryRequestPayloadStreamWithoutQueryParams, getBinaryRequestPayloadWithoutQueryParams, getCanonicalizedEndpoint, getCanonicalizedQueryString, getCanonicalizedQueryString, getCanonicalizedResourcePath, getCanonicalizedResourcePath, getRequestPayload, getRequestPayloadWithoutQueryParams, getSignatureDate, getTimeOffset, hash, hash, hash, newString, sanitizeCredentials, sign, sign, signAndBase64Encode, signAndBase64Encode, signWithMac`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AwsSdkGCPSigner

    public AwsSdkGCPSigner()

### Method Detail

#### sign

    public void sign​(com.amazonaws.SignableRequest<?> request,
                     com.amazonaws.auth.AWSCredentials credentials)

Specified by:
  `sign` in interface `com.amazonaws.auth.Signer`
Overrides:
  `sign` in class `com.amazonaws.auth.AWS4Signer`